package cn.com.ty.lift.enterprise.common;

import cn.com.ty.lift.common.utils.AliyunOSSUtil;
import cn.hutool.core.util.StrUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

/**
 * @author wcz
 * @date 2019/12/3
 * @description
 */
@Configuration
@PropertySource("classpath:system.properties")
public class Conf {

    @Value("${aliyun.oss.endpoint}")
    public String endpoint;

    @Value("${aliyun.oss.bucketName}")
    public String bucketName;

    @Value("${aliyun.oss.accessKeySecret}")
    public String accessKeySecret;

    @Value("${aliyun.oss.accessKeyId}")
    public String accessKeyId;

    @Bean
    public AliyunOSSUtil createAliyunOSSUtil(){
        if(StrUtil.isNotBlank(endpoint) && StrUtil.isNotBlank(accessKeyId) && StrUtil.isNotBlank(accessKeySecret)){
            return AliyunOSSUtil.me(endpoint,accessKeyId,accessKeySecret);
        }
        return AliyunOSSUtil.me();
    }
}
