package cn.com.ty.lift.system.template.controller;

import cn.com.ty.lift.system.template.dao.entity.Item;
import cn.com.ty.lift.system.template.service.impl.ItemServiceImpl;
import cn.com.ty.lift.system.template.service.impl.TemplateServiceImpl;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.AllArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 模板项 前端控制器
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-25
 */
@RestController
@RequestMapping("/item")
@AllArgsConstructor
public class ItemController {
    private final ItemServiceImpl itemService;
    private final TemplateServiceImpl templateService;

    @PostMapping("/add")
    /**
     * @description 新增模板项
     * @date 2019/12/6 13:58
     * @param [item]
     * @return org.springframework.http.ResponseEntity
     */
    public RestResponse add(@RequestBody Item item) {
        if (itemService.save(item)) {
            return RestResponse.ok(null, "1", "新增成功");
        }
        return RestResponse.ok(null, "0", "新增失败");
    }

    @PostMapping("/update")
    /**
     * @description 更新模板项
     * @date 2019/12/6 13:58
     * @param [item]
     * @return org.springframework.http.ResponseEntity
     */
    public RestResponse update(@RequestBody Item item) {
        if (itemService.updateById(item)) {
            return RestResponse. ok(null, "1", "更新成功");
        }
        return RestResponse.ok(null, "0", "更新失败");
    }

    @PostMapping("/delete")
    public RestResponse delete(@RequestBody Item item) {
        return templateService.deleteItem(item);
    }
}
